Name:           python-hiredis
Version:        2.3.2
Release:        %mkrel 2
Summary:        Python wrapper for hiredis
Group:          Development/Python

License:        BSD
URL:            https://github.com/redis/hiredis-py
Source:         %{pypi_source hiredis}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  gcc

%global _description %{expand:
Python extension that wraps protocol parsing code in hiredis. It primarily
speeds up parsing of multi bulk replies.}

%description %_description

%package -n     python3-hiredis
Summary:        %{summary}

%description -n python3-hiredis %_description


%prep
%autosetup -p1 -n hiredis-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hiredis


%check
%pyproject_check_import
%tox


%files -n python3-hiredis -f %{pyproject_files}



%changelog
* Fri Mar 29 2024 daviddavid <daviddavid> 2.3.2-2.mga10
+ Revision: 2053069
- rebuild for new hiredis 1.2.0

* Wed Mar 06 2024 papoteur <papoteur> 2.3.2-1.mga10
+ Revision: 2047887
- imported package python-hiredis

